/**
 * @since Feb 2022
 * @author Harsha Zalawa
 * @uses Reusable Component for React Data Grid
 * @Reference https://reactdatagrid.io/docs/getting-started
 *
 */
import '@inovua/reactdatagrid-community/index.css';
import React from 'react';
import { useCallback, useEffect, useState } from 'react';
import ReactDataGrid from '@inovua/reactdatagrid-community';
export function PtgUiReactDataGrid({ data, columns, nativeScroll, filterValue, minHeight, idProperty, pagination, defaultLimit, editable, checkboxColumn, }) {
    const [rowData, setRowData] = useState(data);
    /* istanbul ignore next */
    const onEditComplete = useCallback(({ value, columnId, rowId }) => {
        const data = [...rowData];
        data[rowId - 1][columnId] = value;
        setRowData(data);
    }, [rowData]);
    useEffect(() => {
        setRowData(data);
    }, [data]);
    const [enableSelection, setEnableSelection] = useState(true);
    const [selected, setSelected] = useState(null);
    /* istanbul ignore next */
    const onSelectionChange = useCallback(({ selected }) => {
        setSelected(selected);
        //  alert("Row Selected");
    }, []);
    return (React.createElement(ReactDataGrid, { onEditComplete: onEditComplete, idProperty: idProperty, columns: columns, nativeScroll: nativeScroll, dataSource: rowData, style: { minHeight: minHeight }, pagination: pagination, 
        // checkboxColumn={checkboxColumn}
        // checkboxColumn={true}
        defaultLimit: defaultLimit, editable: editable, defaultFilterValue: filterValue, enableSelection: enableSelection, onSelectionChange: onSelectionChange }));
}
export default PtgUiReactDataGrid;
